## cascading.tuple
Class TupleEntrySchemeIteratorProps

    java.lang.Object
      cascading.property.Props
          cascading.tuple.TupleEntrySchemeIteratorProps

    public class TupleEntrySchemeIteratorProps

extends Props

Class TupleEntrySchemeIteratorProps is a fluent helper class to set properties which control the behavior of the `TupleEntrySchemeIterator`.

Field Summary
`static String` `PERMITTED_EXCEPTIONS`

Constructor Summary
`TupleEntrySchemeIteratorProps()` Constructs a new TupleEntrySchemeIteratorProps instance.

Method Summary
`protected void` `addPropertiesTo(Properties properties)`
`Class<? extends Exception>[]` `getPermittedExceptions()`
`TupleEntrySchemeIteratorProps` `setPermittedExceptions(Class<? extends Exception>[] permittedExceptions)` Method setPermittedExceptions is used to set an array of exceptions which are allowed to be ignored in the TupleEntrySchemeIterator.
`static void` `setPermittedExceptions(Map<Object,Object> properties, Class<? extends Exception>... exceptions)` Method setPermittedExceptions( Map<Object, Object> properties, Class<? extends Exception>[] ...
`static TupleEntrySchemeIteratorProps` `tupleEntrySchemeIteratorProps()` Creates a new TupleEntrySchemeIteratorProps instance.

Methods inherited from class cascading.property.Props
`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERMITTED_EXCEPTIONS

    public static final String PERMITTED_EXCEPTIONS

See Also:
  Constant Field Values

Constructor Detail

### TupleEntrySchemeIteratorProps

    public TupleEntrySchemeIteratorProps()

  Constructs a new TupleEntrySchemeIteratorProps instance.

Method Detail

### setPermittedExceptions

    public static void setPermittedExceptions(Map<Object,Object> properties,
                                              Class<? extends Exception>... exceptions)

  Method setPermittedExceptions( Map<Object, Object> properties, Class<? extends Exception>[] ... exceptions ) is used to set an array of exceptions, which are allowed to be ignored in the TupleEntySchemeInterator. If the array is null, it will be ignored.

  Note that the array will be converted to a comma separated String. If you read the the property back, you can convert it back to classes via the asClasses method.

  Parameters:
    `properties` - a Map<Object, Object>
    `exceptions` - an array of exception classes.

### tupleEntrySchemeIteratorProps

    public static TupleEntrySchemeIteratorProps tupleEntrySchemeIteratorProps()

  Creates a new TupleEntrySchemeIteratorProps instance.

  Returns:
    TupleEntrySchemeIteratorProps instance

### getPermittedExceptions

    public Class<? extends Exception>[] getPermittedExceptions()

### setPermittedExceptions

    public TupleEntrySchemeIteratorProps setPermittedExceptions(Class<? extends Exception>[] permittedExceptions)

  Method setPermittedExceptions is used to set an array of exceptions which are allowed to be ignored in the TupleEntrySchemeIterator.

  If the array is null, it will be ignored.

  Parameters:
    `permittedExceptions` - an array of exception classes.

### addPropertiesTo

    protected void addPropertiesTo(Properties properties)

  Specified by:
    `addPropertiesTo` in class `Props`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.